package no.omim.engine;

import java.util.ArrayList;

public class Cluster {
	
	private String _strClusterID;
	//private String[] _strClusterDocs; // TODO sjekk
	//private int[] _arrDocNumbers; // TODO sjekk
	private double[] _arrClusterVectors;
	
	private ArrayList<String> _arrayListDocNumbers;
	private ArrayList<String> _arrayListClusterDocs;
	
	/*
	 * Constructor.
	 * @param strClusterID Which cluster to create
	 * @param strClusterDocs Size of the cluster
	 */
	public Cluster(String strClusterID) {
		this._strClusterID = strClusterID;
		//this._strClusterDocs = new String[intClusterDocs]; // TODO sjekk
		//this._arrDocNumbers = new int[intClusterDocs]; // TODO sjekk
		
		this._arrayListDocNumbers = new ArrayList<String>();
		this._arrayListClusterDocs = new ArrayList<String>();
	}
	
	public String getClusterID() {
		return this._strClusterID;
	}
	
	public double[] getClusterVectors() {
		return this._arrClusterVectors;
	}
	
	public int[] getClusterDocuments() { // TODO sjekk om dette blir korrekt
		//return this._arrDocNumbers;
		int[] clusterDocs;
		int size = this._arrayListDocNumbers.size();
		
		clusterDocs = new int[size];
		
		for (int i = 0; i < size; i++) {
			clusterDocs[i] = Integer.parseInt(this._arrayListDocNumbers.get(i));
		}
		
		return clusterDocs;
	}
	
	public String getDocumentPath(int docNumber) { // TODO sjekk
		//return this._strClusterDocs[docNumber];
		return this._arrayListClusterDocs.get(docNumber);
	}
	
	public void setClusterVectors(double[] arrClusterVectors) {
		this._arrClusterVectors = arrClusterVectors;
	}
	
	public void setClusterDocuments(String docPath, int docNumber) { // TODO sjekk om dette er korrekt		
		this._arrayListClusterDocs.add(docPath);
		this._arrayListDocNumbers.add(String.valueOf(docNumber));
	}
	
	// sletter listen s det ikke blir duplikater
	public void clearClusterDocuments() {
		this._arrayListClusterDocs = new ArrayList<String>();
		this._arrayListDocNumbers = new ArrayList<String>();
	}

}
