package no.omim.engine;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

import org.apache.log4j.Logger;


public class QueryResultList {
	
	//private QueryResult[] _result;
	private ArrayList<QueryResult> _arrQueryRes;
	private int clusterID;
	
	private static Logger logger = Logger.getLogger("applogger");
	
	/*
	 * Constructor
	 */
	public QueryResultList(/*int numResult*/) {
		//this._result = new QueryResult[numResult];
		//logger.debug("Inni QueryResultList");
		this._arrQueryRes = new ArrayList<QueryResult>();
		//logger.debug("Listen er opprettet");
	}
	
	public void addResult(int pos, QueryResult objResult) {
		//this._result[pos] = objResult;
		this._arrQueryRes.add(objResult);
		//logger.debug("Legger til resultatobjekt");
	}
	
	public int getNumberOfRetrievedDocs() {
		//logger.debug("Antall dokumenter: " + this._arrQueryRes.size());
		return this._arrQueryRes.size();
	}
	
	public QueryResult getResult(int pos) {
		//return this._result[pos];
		//logger.debug("Henter resultat fra posisjon: " + pos);
		//logger.debug("Resultat fra posisjon: " + this._arrQueryRes.get(pos).getID());
		//logger.debug("");
		return this._arrQueryRes.get(pos);
	}
	
	public void sortResult() {
		for (int i = this._arrQueryRes.size(); --i >= 0;) {
			boolean flipped = false;
			for (int j = 0; j < i; j++) {
				//logger.debug("fr sjekk");
				//logger.debug("j: " + this._arrQueryRes.get(j).getSimToQuery());
				//logger.debug("j+1: " + this._arrQueryRes.get(j+1).getSimToQuery());
				if (this._arrQueryRes.get(j).getSimToQuery() <
					this._arrQueryRes.get(j + 1).getSimToQuery()) {
					QueryResult temp = this._arrQueryRes.get(j);
					//this._arrQueryRes.add(j, this._arrQueryRes.get(j + 1));
					this._arrQueryRes.remove(j);
					this._arrQueryRes.add(j + 1, temp);
					flipped = true;
					//logger.debug("flipped");
				}
			}
			
			if (!flipped) {
				return;
			}
		}
	}
	
	public ArrayList<QueryResult> getResultCol() {
		this.sortResult();
		return this._arrQueryRes;
	}
	
	public void clearResult() {
		this._arrQueryRes = new ArrayList<QueryResult>();
	}

	public int getClusterID() {
		return clusterID;
	}

	public void setClusterID(int clusterID) {
		this.clusterID = clusterID;
	}
}