<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1" pageEncoding="ISO-8859-1"%>
<%@ page import="java.util.Iterator" %>
<%@ page import="no.omim.engine.QueryResult" %>
<%@ page import="no.omim.engine.QueryResultList" %>
<%@ page import="java.util.ArrayList"%>
<%
// initiate variables
QueryResultList list = new QueryResultList();
ArrayList arrSearchResult = new ArrayList();
String strTerm = "";
String strAlgorithm = "";
//String strChkStandard = "";
//String strChkTwoStep = "";

// get data from the session
if (session.getAttribute("SEARCH_RESULT_COLLECTION_LIST") != null)
{
	list = (QueryResultList)session.getAttribute("SEARCH_RESULT_COLLECTION_LIST");
	arrSearchResult = list.getResultCol();
}
if (session.getAttribute("SEARCH_TERM") != null)
{
	strTerm = (String)session.getAttribute("SEARCH_TERM");	
}
if (session.getAttribute("SEARCH_ALGORITHM") != null)
{
	strAlgorithm = (String)session.getAttribute("SEARCH_ALGORITHM");	
}

//if (session.getAttribute("SEARCH_STANDARD") != null)
//{
//	strChkStandard = (String)session.getAttribute("SEARCH_STANDARD");	
//}
//if (session.getAttribute("SEARCH_TWOSTEP") != null)
//{
//	strChkTwoStep = (String)session.getAttribute("SEARCH_TWOSTEP");	
//}

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
	<title>Insert title here</title>
	<base href="http://localhost:8080/omimsearch/" />	
	<link rel="stylesheet" type="text/css" href="css/appstyle.css" />
	<script type="text/javascript" src="scripts/appscript.js"></script>	
</head>
<body onload="setElementFocus();">
	<form action="controller/Search" method="post">
	<div id="wrapper">
		<div id="boundry">
			<!-- HEADER -->
			<div id="header" name="header"><img src="images/NTNU.png" style="float: right;" />OMIMSEARCH</div>
			<!-- END HEADER -->			
			<!-- SEARCH -->
			<div id="search" name="search">
				<table class="searchTable">
					<tr>
						<td style="width: 50%; vertical-align: top;">
							<input type="text" name="txtTerm" id="txtTerm" class="term" value="<%=strTerm %>" />&nbsp;&nbsp;&nbsp;<input type="submit" name="btnSubmit" id="btnSubmit" value="Search" class="button" /><br />				
							<%
							if (strAlgorithm.equals(""))
							{
							%>
							<label>Standard k-means:</label> <input type="radio" name="algorithm" value="standard" checked="checked" />&nbsp;&nbsp;&nbsp;
							<label>Two step k-means:</label> <input type="radio" name="algorithm" value="twostep" />&nbsp;&nbsp;&nbsp;
							<%
							} else {
							%>							
								<%
								if (strAlgorithm.equals("standard"))
								{
								%>
								<label>Standard k-means:</label> <input type="radio" name="algorithm" value="standard" checked="checked" />&nbsp;&nbsp;&nbsp;
								<%
								} else {
								%>
								<label>Standard k-means:</label> <input type="radio" name="algorithm" value="standard" />&nbsp;&nbsp;&nbsp;
								<%
								}
								%>
								
								<% 
								if (strAlgorithm.equals("twostep"))
								{
								%>
								<label>Two step k-means:</label> <input type="radio" name="algorithm" value="twostep" checked="checked" />&nbsp;&nbsp;&nbsp;	
								<%
								} else {
								%>
								<label>Two step k-means:</label> <input type="radio" name="algorithm" value="twostep" />&nbsp;&nbsp;&nbsp;
								<%							
								}
							}
							%>
						</td>						
						<td style="width: 50%; vertical-align: top;">
							<span class="info">
							Informational text. Lorum ipsum something. Lorum ipsum something.
							Lorum ipsum something. Lorum ipsum something. Lorum ipsum something.
							Lorum ipsum something. Lorum ipsum something.
							</span>
						</td>
					</tr>
				</table>				
			</div>
			<!-- END SEARCH -->			
			<!-- RESULT -->
			
			<% 			
			if (arrSearchResult != null && arrSearchResult.size() > 0) 
			{
				Iterator itResult = arrSearchResult.iterator();
			%>
			<span style="font-weight: bold;">Number of hits: <%=arrSearchResult.size() %> from cluster: <%=list.getClusterID() %></span>
			<div id="result" name="result">
				<%
				QueryResult objResult = null;
				while (itResult.hasNext())
				{
					objResult = (QueryResult)itResult.next();
				%>
				<span class="resultID">ID: <%=objResult.getID() %></span>
				<span class="resultSimilarity">(score: <%=objResult.getSimToQuery() %>)</span><br />
				<a href="/omimsearch/controller/OMIMCollection?docID=<%=objResult.getID() %>.txt" class="resultDocPath">Click here to view...</a><br />
				<br />
				<%
				} // end while
				%>
			</div>
			<%
			} // end if
			%>
			<!-- END RESULT -->
			<div id="footer" name="footer">2006 &copy; omimsearch</div>
		</div>
	</div>
	</form>
</body>
</html>